Package ru.bitel.oss.kernel.entity.common.bean.filter

# Class FilterEntityAttrAddress

java.lang.Object
ru.bitel.oss.kernel.entity.common.bean.filter.FilterEntityAttr
ru.bitel.oss.kernel.entity.common.bean.filter.FilterEntityAttrAddress

public class FilterEntityAttrAddress extends FilterEntityAttr

- ## Field Summary

  ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.filter.FilterEntityAttr

  `MODE_EQ, MODE_LIKE, MODE_REGEX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilterEntityAttrAddress()`
  `FilterEntityAttrAddress(Set<Integer> entitySpecAttrId, int cityId, int streetId, int houseId, String house, String frac, int pod, String flat, String room)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCityId()`
  `String`
  `getFlat()`
  `String`
  `getFrac()`
  `String`
  `getHouse()`
  `int`
  `getHouseId()`
  `int`
  `getPod()`
  `String`
  `getRoom()`
  `int`
  `getStreetId()`
  `FilterEntityAttrAddress`
  `setCityId(int cityId)`
  `FilterEntityAttrAddress`
  `setFlat(String flat)`
  `FilterEntityAttrAddress`
  `setFrac(String frac)`
  `FilterEntityAttrAddress`
  `setHouse(String house)`
  `FilterEntityAttrAddress`
  `setHouseId(int houseId)`
  `FilterEntityAttrAddress`
  `setPod(int pod)`
  `FilterEntityAttrAddress`
  `setRoom(String room)`
  `FilterEntityAttrAddress`
  `setStreetId(int streetId)`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.filter.FilterEntityAttr

  `getEntitySpecAttrId, getEntitySpecAttrIds, setEntitySpecAttrId, setEntitySpecAttrIds`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FilterEntityAttrAddress

    public FilterEntityAttrAddress()

  - ### FilterEntityAttrAddress

    public FilterEntityAttrAddress(Set<Integer> entitySpecAttrId, int cityId, int streetId, int houseId, String house, String frac, int pod, String flat, String room)

- ## Method Details

  - ### getCityId

    public int getCityId()

  - ### setCityId

    public FilterEntityAttrAddress setCityId(int cityId)

  - ### getStreetId

    public int getStreetId()

  - ### setStreetId

    public FilterEntityAttrAddress setStreetId(int streetId)

  - ### getHouseId

    public int getHouseId()

  - ### setHouseId

    public FilterEntityAttrAddress setHouseId(int houseId)

  - ### getHouse

    public String getHouse()

  - ### setHouse

    public FilterEntityAttrAddress setHouse(String house)

  - ### getPod

    public int getPod()

  - ### setPod

    public FilterEntityAttrAddress setPod(int pod)

  - ### getFrac

    public String getFrac()

  - ### setFrac

    public FilterEntityAttrAddress setFrac(String frac)

  - ### getFlat

    public String getFlat()

  - ### setFlat

    public FilterEntityAttrAddress setFlat(String flat)

  - ### getRoom

    public String getRoom()

  - ### setRoom

    public FilterEntityAttrAddress setRoom(String room)